%define anolis_release 1
%global pypi_name soxr
%global pypi_version 0.3.7

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        High quality, one-dimensional sample-rate conversion library

License:        LGPLv2.1+
URL:            https://github.com/dofuuz/python-soxr
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools-scm[toml])

%description
Python-SoXR is a Python wrapper of libsoxr, which is a High quality, one-dimensional sample-rate 
conversion library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
Requires:       python3dist(pytest)
%description -n python3-%{pypi_name}
Python-SoXR is a Python wrapper of libsoxr, which is a High quality, one-dimensional sample-rate 
conversion library.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt libsoxr/COPYING.LGPL
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.3.7-1
- Initial package.
